\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Snap Rounding

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
SRTraits_2::MinkowskiSumWithPixel_2 Concept Reference
Concepts

## Definition

Refines:
  `AdaptableTernaryFunction`

Has Models:
  `Snap_rounding_traits_2::Minkowski_sum_with_pixel_2`

## Public Member Functions
void | operator() (std::list< Point_2 > &vertices_list, Segment_2 s, NT unit_square)
| returns the vertices of a polygon, which is the Minkowski sum of a segment and a square centered at the origin with edge size `pixel edge`. More...

## Member Function Documentation

void SRTraits_2::MinkowskiSumWithPixel_2::operator() | ( | std::list< Point_2 > & | vertices_list,
|  | Segment_2 | s,
|  | NT | unit_square
| ) |  |

returns the vertices of a polygon, which is the Minkowski sum of a segment and a square centered at the origin with edge size `pixel edge`.

`vertices_list` is the list of the vertices of the Minkowski sum polygon, `s` is the input segment and `unit_square` is the edge size of the pixel.